Bug 213002 - Apache-2.2.3 shows Forbidden error
Apache-2.2.3 shows Forbidden error
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
Depends On:
  Show dependency treegraph
Reported: 2006-10-30 10:22 EST by Tamal Kanti Nath
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 11:12:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tamal Kanti Nath 2006-10-30 10:22:39 EST
Description of problem:
The file I am trying to access has proper permission (644) to be accessed. But
it cannot be accessed. while other files with same permissions and in the same
directory can be accessed. the error shows in the browser is:
You don't have permission to access /icon.jpg on this server.
And the error in /var/log/httpd/error_log is:
[Mon Oct 30 20:18:14 2006] [error] [client] (13)Permission denied:
access to /icon.jpg denied

Version-Release number of selected component (if applicable):

How reproducible:
Download a file (a jpeg image for example) from Internet and save it in your
document root (e.g. /var/www/html/). Set the proper permission on it. Start
httpd (if stopped). Then try to access the file by entering[filename] in the browser. The error "Forbidden" might show.

Steps to Reproduce:
Actual results:
 Error shows: Forbidden

Expected results:
 The file should be accessed. In my case the jpeg image(icon.jpg) should be

Additional info:
It is a strange problem. When I make a copy of the file, the new copy can be
accessed. But when I rename it, the problem remains!
Comment 1 Joe Orton 2006-10-30 11:12:02 EST
This is probably due to SELinux.  Try:

 # restorecon /var/www/html/<filename>

or try fedora-list@redhat.com or fedora-selinux-list@redhat.com for more help.
Comment 2 Tamal Kanti Nath 2006-10-31 07:52:49 EST
(In reply to comment #1)
Yes, problem solved. It was due to SELinux. Thanks Joe Orton.

Note You need to log in before you can comment on or make changes to this bug.